import { ISimAction, SimCell, SimMain } from "../index.js";

export class SimActionFireTowers implements ISimAction {
    public execute(simMain: SimMain) {
        const level = simMain.currentLevel;
        level.simCells.forEach((simCell: SimCell) => {
            if (simCell.simTower != null) {
                simCell.simTower.fireIfAble();
            }
        });
    }
}
